View Issue Details

IDProjectCategoryView StatusLast Update
12187Bug reports[All Projects] Survey participants (Tokens)public2017-05-22 17:39
ReporterbrammelemanAssigned ToDenisChenu 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version2.64.x 
Target VersionFixed in Version2.64.x 
Summary12187: invitation mails are not being sent using json-rpc
Descriptionphpmailer refuses to send mail because the 'Message body (is) empty'.
Steps To Reproduce- create survey + tokens/participants
- use the json-rpc api to send invitations
- api returns an array with

 [name] => ~redacted~
 [email] => ~redacted~
 [status] => fail
 [error] => Message body empty
Additional Informationcaused by mixing up some variables in application/helpers/admin/token_helper.php from line 137 to 144
also the Replacefields function should be written in camelcase, which makes it easier to find the function definition

Bests,

Bram
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 2.64.0+170307
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5.5.54-0ubuntu0.14.04.1-log - (Ubuntu)
Operating System (Server)Ubuntu 14.04.5 LTS
Webserver software & versionApache/2.4.7 (Ubuntu)
PHP VersionPHP 5.5.9-1ubuntu4.21

Activities

brammeleman

brammeleman

2017-03-09 13:10

reporter   ~43243

PR: https://github.com/LimeSurvey/LimeSurvey/pull/658
brammeleman

brammeleman

2017-03-10 12:22

reporter   ~43248

Bug introduced in https://github.com/LimeSurvey/LimeSurvey/commit/6041289a62cd621f1aba7733f591a2eadad201b9
brammeleman

brammeleman

2017-03-24 14:25

reporter   ~43332

Could somebody please have a look at the PR? It's a small change that will fix the issue.

Bests,

Bram Daams
Radboud University
ShnoulleT

ShnoulleT

2017-04-02 19:51

reporter   ~43366

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=22562
DenisChenu

DenisChenu

2017-04-02 20:06

developer   ~43367

Thanks : happen if email is set to text :)
c_schmitz

c_schmitz

2017-05-22 17:39

administrator   ~43681

Release 2.65.1 Build 170522

Related Changesets

LimeSurvey: master f2cfa084

2017-04-02 19:51:45

brammeleman


Committer: ShnoulleT Details Diff
Fixed issue 12187: invitation mails are not being sent using json-rpc
mod - application/helpers/admin/token_helper.php Diff File

Issue History

Date Modified Username Field Change
2017-03-09 11:53 brammeleman New Issue
2017-03-09 13:10 brammeleman Note Added: 43243
2017-03-10 12:22 brammeleman Note Added: 43248
2017-03-24 14:25 brammeleman Note Added: 43332
2017-04-02 19:51 ShnoulleT Changeset attached => LimeSurvey master f2cfa084
2017-04-02 19:51 ShnoulleT Note Added: 43366
2017-04-02 19:51 ShnoulleT Assigned To => ShnoulleT
2017-04-02 19:51 ShnoulleT Resolution open => fixed
2017-04-02 20:06 DenisChenu Assigned To ShnoulleT => DenisChenu
2017-04-02 20:06 DenisChenu Status new => resolved
2017-04-02 20:06 DenisChenu Fixed in Version => 2.64.x
2017-04-02 20:06 DenisChenu Note Added: 43367
2017-05-22 17:39 c_schmitz Note Added: 43681
2017-05-22 17:39 c_schmitz Status resolved => closed